﻿@using System.Web.UI.WebControls;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Dock;
@model Toyota.Common.Web.MVC.ModelHolder
<table width="400px" border="0">
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supplier Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color: Red;">*</b>
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "grlSuppCd";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "SupplierCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierInfo", Action = "PartialHeaderSupplierGridLookup" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SupplierCode";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SupplierName";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.ClientEnabled = true;
                 gridLookup.ButtonClick = "OnClickSISupplierGridLookup";
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>

        <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Dock Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color: Red;">*</b>
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "SICHDockGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "DockCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierInfo", Action = "PartialHeaderDockGridLookupEmergencyOrderCreation" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockCode";
                        column.FieldName = "DockCode";
                        column.Caption = "Dock<br />Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockName";
                        column.FieldName = "DockName";
                        column.Caption = "Dock<br />Name";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.ClientEnabled = false;
                    gridLookup.ButtonClick = "OnClickSIHDockGridLookup";
                }).Bind(ViewData["DockGridLookup"]).GetHtml()
        </td>

       @* <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "DockCd";
                    settings.Width = 150;
                }
            ).GetHtml()
        </td>*@
    </tr>

        @*<td>
         @Html.Common().DevExpress().GridLookup(
                s =>
                {

                    s.Name = "grlSuppCd";
                    s.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                    s.Width = 150;
                    s.GridProperties.Width = 150;
                    s.GridProperties.CallbackRouteValues = new { Controller = "SupplierInfo", Action = "SupplierCodePartialLookupForm" };

                    s.GridProperties.Height = 100;
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    s.GridProperties.Enabled = false;

                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "SUPPLIER_CODE";
                        c.FieldName = "SUPPLIER_CODE";
                        c.Caption = "Supplier Code";
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "SUPPLIER_NAME";
                        c.FieldName = "SUPPLIER_NAME";
                        c.Caption = "Supplier Name";
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    });
                }).Bind(ViewData["GridSupplier"]).GetHtml()
        </td>*@
    </tr>
   @* <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Supplier Plant Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color: Red;">*</b>
        </td>*@
        @*<td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "PlantCd";
                    settings.Properties.MaxLength = 1;
                    settings.Width = 150;
                }
            ).GetHtml()
        </td>
    </tr>*@
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Part No";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color: Red;">*</b>
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "grlPartNo";
                    gridLookup.Width = Unit.Pixel(150);
                    gridLookup.GridProperties.KeyFieldName = "PartNo";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierInfo", Action = "PartialPartGridLookup" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PartNo";
                        column.FieldName = "PartNo";
                        column.Caption = "Part No";
                        column.Width = Unit.Pixel(120);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PartName";
                        column.FieldName = "PartName";
                        column.Caption = "Part Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "KanbanNo";
                        column.FieldName = "KanbanNo";
                        column.Caption = "Unique No";
                        column.Width = Unit.Pixel(100);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.ClientEnabled = false;
                    gridLookup.ButtonClick = "FillPartDescription";
                    gridLookup.GridProperties.ClientSideEvents.BeginCallback = "OnBeginCallBackLookupPart";
                }).Bind(ViewData["PartGridLookup"]).GetHtml()
        </td>

        @*<td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "grlPartNo";
                    gridLookup.Width = 150;
                    gridLookup.GridProperties.Width = 150;
                    gridLookup.GridProperties.KeyFieldName = "PartNo";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierInfo", Action = "PartialHeaderPartLookupGridSupplierInfo" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PartNo";
                        column.FieldName = "PartNo";
                        column.Caption = "Part<br />No";
                        column.Width = Unit.Pixel(200);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PartName";
                        column.FieldName = "PartName";
                        column.Caption = "Part<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["GridPart"]).GetHtml()
        </td>*@
    </tr>
    <tr>
      <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Part Name";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(                    
                settings =>
                {
                    settings.Name = "txtPartName";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.Style.BackColor = DXColor.Silver;
                    settings.ReadOnly = true;
                }
            ).GetHtml()
        </td>
    </tr>
    
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "SP Info 1";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "TxtSpInfo1";
                    settings.Width = 150;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "SP Info 2";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "TxtSpInfo2";
                    settings.Width = 150;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "SP Info 3";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "TxtSpInfo3";
                    settings.Width = 150;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Print Code";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtPrintCd";
                    settings.Width = 150;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            <span>&nbsp</span>
        </td>
    </tr>
    <tr>
        <td colspan="2" align="center">
            <table>
                <tr>
                    <td width=""50% align="right">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSave";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginCallbackAddNew";
                            //btnSettings.ClientSideEvents.Click = "function(s, e){ popupPosting.Show(); }";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNew";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            //btnSettings.ClientSideEvents.Click = "function(s, e){ popupNew.Hide(); }";
                            btnSettings.ClientSideEvents.Click = "CancelAddNew";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
@*<table width="300px" border="0">
    <tr>
        <td align="right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "okNewSuppInfo";
                    settings.Text = "OK";
                    settings.Width = 80;
                   
                }
            ).GetHtml()
        </td>
        <td align="right" width="80px">
            @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "cancelSuppInfo";
                settings.Text = "Cancel";
                settings.Width = 80;

                settings.ClientSideEvents.Click = "CancelSuppInfo";
            }
        ).GetHtml()
        </td>
    </tr>
</table>*@
